%define build_dvi 1

Summary: GNOME Document viewer
Name:    evince
Version: 2.20.0
Release: %mkrel 2
License: GPL
Group:   Graphical desktop/GNOME
URL:     http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch1: evince-kpathsea-link.patch
# (fc) 2.20.0-2mdv various fixes from SVN, mostly for forms (SVN)
Patch2: evince-2.20.0-svnfixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: ghostscript ghostscript-module-X
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libxt-devel
BuildRequires: libpoppler-glib-devel >= 0.6
BuildRequires: nautilus-devel
BuildRequires: libtiff-devel
BuildRequires: libxslt-proc
#BuildRequires: t1lib-devel
%if %build_dvi
BuildRequires: tetex-devel >= tetex-devel-3.0-22mdv
%endif
BuildRequires: djvulibre-devel >= 3.5.17
BuildRequires: scrollkeeper
BuildRequires: ghostscript
BuildRequires: perl-XML-Parser
#gw if we run autoconf
BuildRequires: gnome-doc-utils
BuildRequires: gnome-common
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires:	desktop-file-utils
BuildRequires: libgcrypt-devel
Requires(post): scrollkeeper desktop-file-utils
Requires(postun): scrollkeeper desktop-file-utils

%description
GNOME Document viewer, supports PDF and PostScript.

%prep
%setup -q
%if %build_dvi
%patch1 -p1 -b .makefile
%endif
%patch2 -p1 -b .svnfixes
intltoolize --copy --force
aclocal
autoconf
automake

%build
%configure2_5x --enable-print=gtk --enable-tiff --enable-djvu --enable-pixbuf --enable-comics \
 --enable-impress \
%if %build_dvi
 --enable-dvi
%endif
#--enable-t1lib 

%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=no

%find_lang Evince --with-gnome
%find_lang %name --with-gnome
cat %name.lang >> Evince.lang
for omf in %buildroot%_datadir/omf/*/{*-??,*-??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> Evince.lang
done

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/%name" icon="publishing_section.png" needs="x11" title="Document Viewer" longtitle="View PDF or PS files" section="Office/Publishing" startup_notify="true" mimetypes="application/pdf;application/postscript;application/x-gzpostscript;application/x-dvi;image/tiff;image/vnd.djvu" accept_url="true" multiple_files="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Publishing" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*




rm -f %buildroot%_libdir/nautilus/extensions-*/libevince*a

%post
%update_scrollkeeper
%{update_menus}
%update_desktop_database
%define schemas %name %name-thumbnailer %name-thumbnailer-djvu %{?build_dvi:%name-thumbnailer-dvi} evince-thumbnailer-comics evince-thumbnailer-ps
%post_install_gconf_schemas %schemas
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_scrollkeeper
%{clean_menus}
%clean_desktop_database
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Evince.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS TODO
# README
%_sysconfdir/gconf/schemas/%name.schemas
%_sysconfdir/gconf/schemas/%name-thumbnailer.schemas
%_sysconfdir/gconf/schemas/%name-thumbnailer-djvu.schemas
%_sysconfdir/gconf/schemas/%name-thumbnailer-comics.schemas
%if %build_dvi
%_sysconfdir/gconf/schemas/%name-thumbnailer-dvi.schemas
%endif
%_sysconfdir/gconf/schemas/%name-thumbnailer-ps.schemas
%{_bindir}/*
%{_datadir}/evince
%{_datadir}/applications/*
%_datadir/icons/hicolor/*/apps/evince*
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%_datadir/gtk-doc/html/evince/
%_mandir/man1/evince.1*
%_libdir/nautilus/extensions-*/libevince*so*
%{_menudir}/*


%changelog
* Fri Oct 05 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 95624
- Patch2 (SVN): various fixes from SVN, mostly for forms

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89328
- new version
- drop patch 0
- fix buildrequires

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79072
- new version
- bump poppler dep
- patch to fix mime list in desktop file generation

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 72445
- fix buildrequires
- new version

* Thu Aug 09 2007 Frederic Crozat <fcrozat@mandriva.com> 0.9.3-2mdv2008.0
+ Revision: 60748
- Fix build with latest intltool
- Remove dependency on libgnomeprint, use gtk+ print support instead

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 0.9.3-1mdv2008.0
+ Revision: 56704
- fix buildrequires
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2008.0
+ Revision: 50883
- new version
- fix buildrequires

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 41427
- new version
- bump deps

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.9.0-2mdv2008.0
+ Revision: 36151
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 14559
- fix file list
- fix schemas list
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.1
+ Revision: 142131
- new version
- fix buildrequires
- new version
- fix file list

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 0.7.1-3mdv2007.1
+ Revision: 111957
- reenable dvi on x86_64

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 0.7.1-2mdv2007.1
+ Revision: 107362
- enable comics, pixbuf and impress backends

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2007.1
+ Revision: 107182
- new version
- rediff the patch

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2007.1
+ Revision: 98769
- new version
- drop patch 0

* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 0.6.1-4mdv2007.1
+ Revision: 96742
- security update for CVE-2006-5864 (bug #27666)

* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 0.6.1-3mdv2007.1
+ Revision: 65123
- only apply patch if dvi is enabled
- rebuild
- readd bunzipped patch
- bad patch
- Import evince

* Thu Oct 12 2006 Gtz Waschk <waschk@mandriva.org> 0.6.1-1mdv2007.1
- disable dvi support on x86_64
- bunzip2 patches
- bump deps
- New version 0.6.1

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2007.0
- New version 0.6.0

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 0.5.5-1mdv2007.0
- New release 0.5.5

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.4-3mdv2007.0
- Rebuild with latest dbus

* Tue Aug 01 2006 Gtz Waschk <waschk@mandriva.org> 0.5.4-2mdv2007.0
- add missing dep (bug #24018)

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 0.5.4-1mdv2007.0
- new macros
- xdg menu
- New release 0.5.4

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 0.5.3-3mdv2007.0
- fix buildrequires

* Wed May 24 2006 Gtz Waschk <waschk@mandriva.org> 0.5.3-2mdk
- reenable djvu

* Wed May 24 2006 Gtz Waschk <waschk@mandriva.org> 0.5.3-1mdk
- update file list
- disable djvu for now
- bump deps
- rediff patch 1
- new version

* Wed May 24 2006 Götz Waschk <waschk@mandriva.org> 0.5.2-2mdk
- rebuild to remove bad qt dep

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdk
- New release 0.5.2

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.5.1-3mdk
- rebuild for new poppler

* Wed Mar 01 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-2mdk
- add missing mime type to the menu entry

* Tue Feb 28 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-1mdk
- update file list
- rediff the patch
- enable djvu
- New release 0.5.1

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-2mdk
- rebuild for new dbus

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- update patch 1
- bump deps
- drop patch 0
- New release 0.5.0
- use mkrel

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-7mdk
- rebuilt against openssl-0.9.8a

* Mon Nov 07 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-6mdk
- fix linkage

* Fri Oct 14 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-5mdk
- fix install

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 0.4.0-4mdk
- rebuild to remove glitz dep

* Mon Aug 29 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-3mdk
- reenable fortify

* Sun Aug 28 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-2mdk
- disable fortify to make it build

* Sat Aug 27 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- disable el in help Makefile to make it build
- bump deps
- New release 0.4.0

* Thu Aug 18 2005 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdk
- New release 0.3.4

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 0.3.3-3mdk
- fix buildrequires again

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 0.3.3-2mdk
- fix buildrequires

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 0.3.3-1mdk
- enable dvi
- add nautilus extension
- bump deps
- New release 0.3.3

* Sat Aug 13 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-3mdk
- fix Requires(post*

* Fri Aug 12 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- replace prereq
- rebuild for new cairo

* Sat Jun 25 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- update mime types in the menu entry
- enable tiff
- bump deps
- New release 0.3.2

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.3.1-1mdk
- New release 0.3.1

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-2mdk
- fix buildrequires

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- fix build on x86_64
- New release 0.3.0

* Sun Apr 24 2005 Gtz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- add help handling
- requires new poppler
- New release 0.2.1

* Thu Apr 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- requires new poppler
- New release 0.2.0

* Tue Mar 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.9-1mdk
- New release 0.1.9
- update file list
- depends on poppler

* Sun Feb 27 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- New release 0.1.5

* Thu Feb 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.4-1mdk
- add schemas handling
- update file list
- New release 0.1.4

* Fri Feb 04 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- update file list
- New release 0.1.3

* Tue Feb 01 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- drop the patch
- New release 0.1.2

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-2mdk
- add patch for GNOME bug #163506

* Mon Jan 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.1-1mdk
- New release 0.1.1

* Mon Jan 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial package

